/* Desktop Screen */
* {
    font-family: Arial, Helvetica, sans-serif;
    margin: 0px;
    padding: 0px;
}

/* -------------- START GRID -------------- */

body.grid_container {
    display: grid;
    grid-template-rows: auto;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-template-areas: 
        "header header header header"
        "nav nav nav nav"
        "main main main aside"
        "footer footer footer footer";
    gap: 2%;
}

header {
    grid-area: header;
}

nav  {
    grid-area: nav;
}

main {
    grid-area: main;
}

aside {
    grid-area: aside;
}

footer {
    grid-area: footer;
}

/* -------------- ENDE GRID -------------- */

/* -------------- START FLEX für NAV -------------- */
nav.flex_container {
    display: flex;
    gap: 2%;
    width: 100%;
}

div.flex_item {
    display: flex;
    align-items: center;
    justify-content: center;
    
    margin-top: 10px;
    margin-bottom: 10px;
    width: 100%;
    height: 70px;
    background-color: #000000; /* Ursprungsfarbe */
    color: white;
    font-size: 2.0em;
    
    cursor: pointer; /* NEU */
}

.effekt, .effektfooter {
    /* Sanfter Übergang für alle Änderungen (Farbe + Position) */
    transition: all 0.3s ease-in-out; /* NEU */
}

.effekt:hover, .effektfooter:hover {
    /* Zustand bei Mouseover */
    /* Position verändern: 20px nach rechts, 10px nach oben */
    transform: translate(0px, -10px); /* NEU */
}
/* -------------- ENDE FLEX für NAV -------------- */

header {
    background-color: #000;
    padding-top: 30px;
    padding-bottom: 30px;
}

h1 {
    font-size: 3.0em;
    font-weight: bold;
    color: #fff;
    text-align: center;
}

h2 {
    font-size: 2.0em;
    font-weight: bold;
    text-align: center;
}

header h2 {
    color: #ffffff;
}

h3 {
    font-size: 1.4em;
    font-weight: bold;
    text-align: center;
}

a {
    text-decoration: none;
    color: #fff;
    text-align: center;
    width: 100%;
}

footer {
    font-weight: bold;
    font-size: 1.2em;
    padding-top: 20px;
    padding-bottom: 20px;
    width: 98%;
    background-color: #000;
    color: #fff;
    margin-top: 10px;
}

img {
    width: 100%;
}

aside {
    padding: 40px;
    border: dotted #000;
    margin-right: 2%;
}

sidebar {
    width: 60%;
}

sidebar h2, sidebar p {
    text-align: center;
    font-size: 1.8rem;
}

/* -------------- START FLEX für FOOTER -------------- */
footer.footer_flex_container {
    display: flex;
    gap: 0px;
    width: 100%;
}

.footer_flex_item {
    display: flex;
    margin-top: 10px;
    margin-bottom: 10px;
    width: 100%;

    background-color: #000000; /* Ursprungsfarbe */
    color: white;
    font-size: 1.0em;
    
    cursor: pointer; /* NEU */
}

#kontaktinhalt h3 {
    text-align: left;
    padding-left: 4%;
    margin-bottom: 10px;
}

#kontaktinhalt p{
    text-align: left;
    font-size: 0.9em;
    padding-left: 8%;
    margin-right: 5%;

}

#datenschutz a {
    font-size: 1.4em;
    font-weight: bold;
}

#impressum a {
    font-size: 1.4em;
    font-weight: bold;
}

#copy {
    display: block;
    text-align: right;
    padding-right: 2%;
}

#copy h3 {
    font-size: 0.9em;

    margin-left: 2%;
}
/* -------------- ENDE FLEX für FOOTER -------------- */

/* ***************** Media Queries *********************** */
/* Tablet Screen */ 
@media Screen and (min-width: 834px) and (max-width: 1194px) {

}

/* Mobile Screen */ 
@media Screen and (max-width: 833px) {

    /* -------------- START ÄNDERUNGEN GRID -------------- */
    body.grid_container {
        grid-template-columns: 1fr;
        grid-template-areas: 
            "header"
            "nav"
            "main"
            "footer";
        gap: 5px;
    }

    aside {
        display: none;
    }
    /* -------------- ENDE ÄNDERUNGEN GRID -------------- */

    header h1 {
        font-size: 2.0em;
    }   
    
    header h2 {
        font-size: 1.5em;
    }       

    main div#img_con {
        margin-bottom: -15px;
    }

    /* -------------- START ÄNDERUNGEN FLEX für NAV -------------- */
    nav.flex_container {
        flex-direction: column;
        gap: 5px;
    }

    div.flex_item {
        margin: 0px;
        cursor: none;
    }

    .effekt {
        transition: none;
    }

    .effekt:hover {
        transform: none;
    }
    /* -------------- START ÄNDERUNGEN FLEX für NAV -------------- */

    /* -------------- START ÄNDERUNGENFLEX für FOOTER -------------- */
    footer.footer_flex_container {
        flex-direction: column;
        gap: 10px;
    }

    .footer_flex_item {     
        cursor: none;
    }

    #kontaktinhalt h3 {

    }

    #kontaktinhalt p {
        width: 100%;
    }

    #datenschutz a {
        margin-left: 2%;
        text-align: left;
    }

    #impressum a {
        margin-left: 2%;
        text-align: left;
    }

    #copy {
        display: flex;
    }

    #copy h3 {
        margin-left: 0%;
        margin-left: auto;
        margin-right: auto;
    }

    .linie {
        display: none;
    }
    /* -------------- ENDE ÄNDERUNGEN FLEX für FOOTER -------------- */

}